/**
 * Ninjs emailer
 */
'use strict'

const _ = require('ninjs-lodash')
const nodemailer = require("nodemailer");

module.exports = {
  sendEmail:sendEmail
}

function sendEmail(options, callback) {
  options = _.mcopy({ "host": "smtp.gmail.com", "port": 465, "secure": true, "user": "", "pass": "",
    "from": "", "to": "", "subject": "", "text": "", "cc": "", "bcc": "" }, options)

  var transporter = nodemailer.createTransport({
      "host": _.get(options, 'host'),
      "port": _.get(options, 'port'),
      "secure": _.get(options, 'secure', true),
      "auth": { "user": _.get(options, 'user'), "pass": _.get(options, 'pass') }
  });

  return transporter.sendMail({
    "from": _.get(options, 'from'),
    "to": _.get(options, 'to'),
    "subject": _.get(options, 'subject'),
    "text": _.get(options, 'text'),
    "cc": _.get(options, 'cc') || '',
    "bcc": _.get(options, 'bcc') || ''
  }, _.cb(callback))
}